Todas las aplicaciones en elive 2.0 son viejunas

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por desmolinux »

La verdad es que no se porque pero todas son versiones viejas,
Gimp 2.4.7 actual 2.6.
Brasero 0.8.0 actual 2.3.0
synaptic 0.62.1 año 2004
openOffice 2.4 actual 3.1
Etc, etc.
Supongo que esto tendra que ver con eso de los repositorios(perdonad no me aclaro) como puedo hacer que lo que busque el synaptic sea actualizado?
Se que doy el coñazo pero es que esto es todo nuevo para mi, son muchos años infectado de las ventanitas. :wink:

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por niky45 »

pues..... si es que esta basada en debian stable, es lo mas normal del mundo.... digamos que debian, en su version stable, no se caracteriza por tener las ultimas versiones (mejor dicho: que si quieres software que no sea de hace un anio, usa otra cosa, como testing), asi que.....

bueno. es elive. se supone que lleva repos de debian modificiados (pasamelos otra vez, quieres?? no tengo ganas de buscar el oto topic.... :? cat /etc/apt/sources.list), asi que no se si sera posible meterle esos mismos pero en testing, si sera posible hacerla trabajar con el repo de squeeze oficial (el de debian), si te tendras que quedar como estas (digo: esperar a que sobre febrero salga squeeze estable y poco despues actualicen elive).

en fin.... que algo basado en debian stable, por definicion, no puede tener software muy moderno.

de todas formas... creo que ninguno de los paquetes que mencionas, en las versiones que mencionas, trae grandes cambios....

:)
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por desmolinux »

Te pego el sources.list
#custom repositories
deb http://europe.repository.elive-systems.come lenny main elive drivers tests efl ports multimedia games other

deb http://europe.debian.elive-systems.com lenny main contrib non-free

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por niky45 »

va. prueba una cosa (te recomiendo que antes de nada haga backup de tu sistema, luego no digas que no aviso....)

en los repos de debian, sustituye lenny por squeeze. tal que asi:
deb http://europe.debian.elive-systems.com squeeze main contrib non-free
despues haz el:

aptitude update


y si no da error:


aptitude install aptitude -t squeeze
aptitude safe-upgrade
aptitude dist-upgrade

(procedimiento que indican los de debian para hacer la actualizacion. yo suelo hacer solo el dist-upgrade y no hace pum. :D )

si donde te he dicho te da error, avisa y no sigas. veremos lo que se puede hacer y como, pero desde luego, si ahi da error, esta no es la forma de hacerlo.

:)
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
hazaam
Forista Mayor
Forista Mayor
Mensajes: 887
Registrado: Mié Nov 07, 2007 8:00 am
Ubicación: Bogotá, Colombia
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por hazaam »

niky45 escribió: aptitude install aptitude -t squeeze
aptitude safe-upgrade
aptitude dist-upgrade
Jo, yo sólo un spam de aptitude install safe-upgrade... Y he visto que ha veces, recomiendan usar el aptitude install full-upgrade

¿para qué sirve el aptitude install -t squeeze?

Un Saludo.
Los ordenadores son buenos siguiendo instrucciones, no leyendo tu mente.

Linux User No. 467234 - Machine No. 375616
HP Pavilion Dv2500 - ArchLinux - Gnome 3

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por niky45 »

hazaam escribió: ¿para qué sirve el aptitude install -t squeeze?

.
es aptitude install aptitude -t squeeze, y lo que hace es, antes de nada, instalar la nueva version de aptitude (y de paso apt get, dpkg, y todas las dependencias, que no son pocas). para evitar que sea el viejo aptitude quien maneje ciertas cosas, que pueden dar dolores de cabeza.

el -t es solo para seleccionar la rama. para que no te lo instale de otro sitio....
Jo, yo sólo un spam de aptitude install safe-upgrade... Y he visto que ha veces, recomiendan usar el aptitude install full-upgrade
el safe-upgrade no te va a actualizar la distro. para las actualizaciones regulares, vale. pero.... como le digas que te actualice con safe, mas de 200 paquetes (que es lo que suele ser una actualizacion de rama) se vuelve loco, y no hace nada.

el full-upgrade es el mismo que dist-upgrade.

:D
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
hazaam
Forista Mayor
Forista Mayor
Mensajes: 887
Registrado: Mié Nov 07, 2007 8:00 am
Ubicación: Bogotá, Colombia
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por hazaam »

Ah, ya veo. Pues lo que yo hago siempre es eso, actualizar el aptitude, el dpkg y apt por separado; luego un spam de aptitude install safe-upgrade y cuando ya no salen paquetes rotos, uso el aptitude install full-upgrade Y ya está, porque si no hago safe-upgrade, se me vuelve loco, el udev me para todas las instalaciones... Pufff... Muchas cosas juntas.
Los ordenadores son buenos siguiendo instrucciones, no leyendo tu mente.

Linux User No. 467234 - Machine No. 375616
HP Pavilion Dv2500 - ArchLinux - Gnome 3

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Todas las aplicaciones en elive 2.0 son viejunas

Mensaje por niky45 »

si, a mi el udev me ha chillado mas de una vez.... cuestion de instalar un kernel nuevo, arrancar desde ahi, y darle al dist-upgrade. :D (esque yo con los kernels soy un mundo.... :D muchas veces uso el de experimental. de hecho, ahora mismo no lo estoy usando porque aun no esta el kbuild de esa version.... y necesito el driver nvidia)

:)

el tema es que dist-upgrade, si lo haces a menudo, no suele chillar mucho (a menos que hayas actualizado a sid y en el apt.conf tengas a squeeze como rama principal :?)
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje